'use strict';

// VENDOR LIBS
const fs = require('fs');
const url = require('url');
const path = require('path');
const browserSync = require('browser-sync');
const gulp = require('gulp');
const config = require('../config');
const lodash = require('lodash');

gulp.task('browser-sync', function() {
    let host = lodash.get(config, 'server.proxy.host', 'localhost');
    let port = lodash.get(config, 'server.proxy.port', '8000');
    let destinationPort = lodash.get(config, 'server.proxy.destinationPort', '8080');

    browserSync.init({
        proxy: host + ':' + port,
        port: destinationPort
    });
});